libnetmodel (1.5.19) unstable; urgency=medium

  * [NetModel] Connect via direct socket if possible

 -- SAH bot <sahbot@softathome.com>  Thu, 05 Sep 2024 07:41:48 +0000

libnetmodel (1.5.18) unstable; urgency=medium

  * PRPl/Coverity: libnetmodel issue

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Jul 2024 13:08:18 +0000

libnetmodel (1.5.17) unstable; urgency=medium

  * [Lib NetModel] Add the correct license files

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Mar 2024 13:54:38 +0000

libnetmodel (1.5.16) unstable; urgency=medium

  * [NetModel] Add support for non dot terminated reference paths

 -- SAH bot <sahbot@softathome.com>  Mon, 11 Dec 2023 11:43:59 +0000

libnetmodel (1.5.15) unstable; urgency=medium

  * Routing manager crashes due to double free in lib_netmodel

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Nov 2023 15:52:48 +0000

libnetmodel (1.5.14) unstable; urgency=medium

  * [NetModel] Do not call reset_sync_parameters if ctx is NULL

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Sep 2023 12:35:13 +0000

libnetmodel (1.5.13) unstable; urgency=medium

  * [libnetmodel] fix unhandled signal in tests

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Jul 2023 13:37:22 +0000

libnetmodel (1.5.12) unstable; urgency=medium

  * [NetModel] NetDev information in netmodel ppp-wan interface is not cleared when ppp connection stops

 -- SAH bot <sahbot@softathome.com>  Tue, 21 Mar 2023 14:00:42 +0000

libnetmodel (1.5.11) unstable; urgency=medium

  * Still invalid prefix in the Prefixes parameter [Other]

 -- SAH bot <sahbot@softathome.com>  Wed, 15 Mar 2023 10:54:39 +0000

libnetmodel (1.5.10) unstable; urgency=medium

  * [NetModel] Queries are not properly closed in netmodel_cleanup

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Jan 2023 14:27:39 +0000

libnetmodel (1.5.9) unstable; urgency=medium

  * Do not call a query callback if the result is the same

 -- SAH bot <sahbot@softathome.com>  Thu, 22 Dec 2022 12:25:08 +0000

libnetmodel (1.5.8) unstable; urgency=medium

  * [NetModel] Update copyright information

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Nov 2022 15:36:12 +0000

libnetmodel (1.5.7) unstable; urgency=medium

  * [NetModel] Interface linking sometimes fails

 -- SAH bot <sahbot@softathome.com>  Fri, 18 Nov 2022 15:54:49 +0000

libnetmodel (1.5.6) unstable; urgency=medium

  * [NetModel] Synchronize the Name parameter by default

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Nov 2022 15:12:06 +0000

libnetmodel (1.5.5) unstable; urgency=medium

  * gcc 11.2.0 linker cannot find -lsahtrace

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Nov 2022 12:20:10 +0000

libnetmodel (1.5.4) unstable; urgency=medium

  * [NetModel] Close resolvePath queries in netmodel clients when the path is resolved

 -- SAH bot <sahbot@softathome.com>  Thu, 03 Nov 2022 08:14:59 +0000

libnetmodel (1.5.3) unstable; urgency=medium

  * [NetModel] Optimize identical queries in lib netmodel

 -- SAH bot <sahbot@softathome.com>  Thu, 13 Oct 2022 09:31:03 +0000

libnetmodel (1.5.2) unstable; urgency=medium

  * [Lib NetModel] Add a retry mechanism in case mib sync fails to start

 -- SAH bot <sahbot@softathome.com>  Mon, 08 Aug 2022 11:07:56 +0000

libnetmodel (1.5.1) unstable; urgency=medium

  * Fix makefile always using "NeMo" as root object name

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Jun 2022 16:20:08 +0000

libnetmodel (1.5.0) unstable; urgency=medium

  * [Lib NetModel] Add API to retrieve the root object name

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Jun 2022 14:20:29 +0000

libnetmodel (1.4.4) unstable; urgency=medium

  * [NetModel] NetDevName doesn't sync if the interface does not yet exist during find_instance_to_sync_callback

 -- SAH bot <sahbot@softathome.com>  Tue, 31 May 2022 07:34:31 +0000

libnetmodel (1.4.3) unstable; urgency=medium

  * [NetModel] Change query updated event to match the event sent by NeMo

 -- SAH bot <sahbot@softathome.com>  Tue, 03 May 2022 12:43:39 +0000

libnetmodel (1.4.2) unstable; urgency=medium

  * netdev-up flag on vlan-vlan201 is gone after switching WANManager's WANMode twice

 -- SAH bot <sahbot@softathome.com>  Fri, 22 Apr 2022 15:39:27 +0000

libnetmodel (1.4.1) unstable; urgency=medium

  * [Lib NetModel] Add an initialized check for each API method

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Apr 2022 14:38:13 +0000

libnetmodel (1.4.0) unstable; urgency=medium

  * [netmodel] Support of prefix queries in netmodel/libnetmodel

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Apr 2022 12:00:44 +0000

libnetmodel (1.3.2) unstable; urgency=medium

  * [NetModel] Change query updated event to match the event sent by NeMo

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Apr 2022 06:22:03 +0000

libnetmodel (1.3.1) unstable; urgency=medium

  * [Lib NetModel] Use amxb_be_who_has instead of own implementation

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Mar 2022 15:37:41 +0000

libnetmodel (1.3.0) unstable; urgency=medium

  * implement iprouter client and iprouter mib

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Mar 2022 09:00:23 +0000

libnetmodel (1.2.0) unstable; urgency=medium

  * [NetModel] Add getMibs API

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Feb 2022 13:52:15 +0000

libnetmodel (1.1.0) unstable; urgency=medium

  * [netmodel] Support getDHCPOption() queries

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Feb 2022 12:36:41 +0000

libnetmodel (1.0.1) unstable; urgency=medium

  * Integrate support for bridging in NetModel

 -- SAH bot <sahbot@softathome.com>  Mon, 31 Jan 2022 11:09:52 +0000

libnetmodel (1.0.0) unstable; urgency=medium

  * wrong mib can be unsubscribed when netmodel clients share a netmodel interface

 -- SAH bot <sahbot@softathome.com>  Thu, 27 Jan 2022 08:06:24 +0000

libnetmodel (0.4.1) unstable; urgency=medium

  * parameters not synced after reboot

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jan 2022 15:23:38 +0000

libnetmodel (0.4.0) unstable; urgency=medium

  * expand lib_netmodel for mibs/netmodel-clients

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Jan 2022 12:28:27 +0000

libnetmodel (0.3.0) unstable; urgency=medium

  * Support queries on TR181 paths that are not yet present

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Jan 2022 13:22:41 +0000

libnetmodel (0.2.0) unstable; urgency=medium

  * Add IP address query functions
  * Add documentation generation

 -- SAH bot <sahbot@softathome.com>  Wed, 15 Dec 2021 11:35:25 +0000

libnetmodel (0.1.3) unstable; urgency=medium

  * [library NetModel] Support TR181 paths

 -- SAH bot <sahbot@softathome.com>  Sat, 23 Oct 2021 07:09:15 +0000

libnetmodel (0.1.2) unstable; urgency=medium

  * [library NetModel] Add open query functions

 -- SAH bot <support.opensource@softathome.com>  Sun, 12 Sep 2021 06:57:36 +0000

libnetmodel (0.1.1) unstable; urgency=medium

  * Fix traces

 -- SAH bot <support.opensource@softathome.com>  Fri, 13 Aug 2021 07:25:31 +0000

libnetmodel (0.1.0) unstable; urgency=medium

  * [library NetModel] Initial import
  * Add changenlog

 -- Matthias Franck <matthias.franck_ext@softathome.com>  Thu, 12 Aug 2021 08:30:10 +0000


libnetmodel (1.0.0) unstable; urgency=medium

  * Issue: <CREATE TICKET>

 -- SAH bot <support.opensource@softathome.com>  Thu, 08 Jul 2021 09:42:04 +0000

